FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Upgrade from 2.0.2 to 2.1.2
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade from 2.0.2 to 2.1.2 [message #3536] Sat, 29 June 2002 05:31 Go to next message
Retzgesick is currently offline  Retzgesick   Germany
Messages: 16
Registered: May 2002
Location: Düsseldorf, Germany
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
After upgrading from 1.9.9 RC1 BETA to 2.0.2 I tried to upgrade to 2.1.2 (by the way, 2.1.2 display its version as 2.1.1??)

The Forum Consistency checked showed

...
Warning: mysql_fetch_object(): 80 is not a valid MySQL result resource in /opt/sforumData/include/theme/default/db.inc on line 194
...

After "Return To Forum":
Warning: Failed opening 'GLOBALS.php' for inclusion (include_path='/opt/adpagde/include:/usr/local/lib/php:/opt/adpagde/phpOpen Tracker:/opt/adpagde/test:/opt/adpagdetest/admin') in /opt/software-forum/theme/default/index.php on line 20

I fixed this by making a softlink:
ln -s <wwwroot>/GLOBALS.php <wwwroot>/theme/default/GLOBALS.php

Can I ignore the mysql_fetch_object warning?
Is making the softlink the right solution?


Rainer Vietz
Re: Upgrade from 2.0.2 to 2.1.2 [message #3538 is a reply to message #3536] Sat, 29 June 2002 08:02 Go to previous messageGo to next message
Ecxeleron is currently offline  Ecxeleron   Australia
Messages: 187
Registered: January 2002
Location: Australia
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
I hope Prottoss can help you Wink


Re: Upgrade from 2.0.2 to 2.1.2 [message #3540 is a reply to message #3536] Sat, 29 June 2002 12:41 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Retzgesick wrote on Sat, 29 June 2002 05:31

After upgrading from 1.9.9 RC1 BETA to 2.0.2 I tried to upgrade to 2.1.2 (by the way, 2.1.2 display its version as 2.1.1??)

The Forum Consistency checked showed

...
Warning: mysql_fetch_object(): 80 is not a valid MySQL result resource in /opt/sforumData/include/theme/default/db.inc on line 194
...

After "Return To Forum":
Warning: Failed opening 'GLOBALS.php' for inclusion (include_path='/opt/adpagde/include:/usr/local/lib/php:/opt/adpagde/phpOpen Tracker:/opt/adpagde/test:/opt/adpagdetest/admin') in /opt/software-forum/theme/default/index.php on line 20

I fixed this by making a softlink:
ln -s <wwwroot>/GLOBALS.php <wwwroot>/theme/default/GLOBALS.php

Can I ignore the mysql_fetch_object warning?
Is making the softlink the right solution?


The fact that version # did not change is a known bug, and will be fixed in next release. You can also ignore the mysql_fetch_object warning.

I am not sure why it was unable to find GLOBALS.php though, which PHP version are you using?


FUDforum Core Developer
Re: Upgrade from 2.0.2 to 2.1.2 [message #3542 is a reply to message #3540] Sat, 29 June 2002 13:45 Go to previous messageGo to next message
Retzgesick is currently offline  Retzgesick   Germany
Messages: 16
Registered: May 2002
Location: Düsseldorf, Germany
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
prottoss wrote on Sat, 29 June 2002 18:41

I am not sure why it was unable to find GLOBALS.php though, which PHP version are you using?


prottos, I am using PHP version 4.2.1


Rainer Vietz

[Updated on: Sat, 29 June 2002 13:50]

Report message to a moderator

Re: Upgrade from 2.0.2 to 2.1.2 [message #3549 is a reply to message #3542] Sun, 30 June 2002 10:09 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Okie can you please create another theme using the theme manager, then switch to that theme via your user profile and see if it will complain about a missing GLOBALS.php file again?

FUDforum Core Developer
Re: Upgrade from 2.0.2 to 2.1.2 [message #3793 is a reply to message #3542] Fri, 05 July 2002 17:58 Go to previous messageGo to next message
Retzgesick is currently offline  Retzgesick   Germany
Messages: 16
Registered: May 2002
Location: Düsseldorf, Germany
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
prottoss, sorry for answering so late, but I was away this week.

After creating another theme, all php scripts in
<wwwroot>/adm were deleted except GLOBALS.php!
What can I do now?

I am not able to restore a backup at the moment. I have to wait for that until monday.


Rainer Vietz

[Updated on: Fri, 05 July 2002 17:59]

Report message to a moderator

Re: Upgrade from 2.0.2 to 2.1.2 [message #3794 is a reply to message #3793] Fri, 05 July 2002 18:16 Go to previous messageGo to next message
Retzgesick is currently offline  Retzgesick   Germany
Messages: 16
Registered: May 2002
Location: Düsseldorf, Germany
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Ok, I had another forum, which I upgraded from 1.9.9RC1 Beta to 2.0.2 and after that to to 2.1.2
I created another theme with the theme manager and applied that theme in the profile. Following messages were written:

Quote:


Warning: Failed opening 'GLOBALS.php' for inclusion (include_path='/opt/adpagde/include:/usr/local/lib/php:/opt/adpagde/phpOpen Tracker:/opt/adpagde/test:/opt/adpagdetest/admin') in /opt/software-forum/theme/RainersTheme/index.php on line 20



Rainer Vietz
Re: Upgrade from 2.0.2 to 2.1.2 [message #3796 is a reply to message #3793] Fri, 05 July 2002 19:21 Go to previous message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Those files are not needed in version 2.2
The index.php will be generated by the compiler.


FUDforum Core Developer
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: installation problem after step 5/5
Next Topic: Question about FUDforum
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Fri Oct 20 08:14:29 EDT 2017

Total time taken to generate the page: 0.00732 seconds